Plank.DockletManager – plank Reference Manual

# DockletManager

## Object Hierarchy:

## Description:

public class DockletManager : Object

A controller class for managing all available docklets.

Namespace: Plank
Package: plank

## Content:

### Static methods:

- public static unowned DockletManager get_default ()

### Methods:

- public Docklet? get_docklet_by_id (string id)
  Find docklet for given id
- public Docklet? get_docklet_by_uri (string uri)
  Find docklet wich supports given uri
- public Collection<Docklet> list_docklets ()
  Get list of all registered docklets
- public void load_docklets ()
  Load docklet modules from known directories
- public void register_docklet (Type type)
  Register docklet with given name and type

### Signals:

- public signal void docklet_added (Docklet docklet)

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref